var express = require('express');
var route = express.Router();

const cfg = require(global['__dirname']+'/bin/config');

route.use((req, res, next) => {
	if(!req.session || !req.session.user) {
		if(!req.path.startsWith('/api')) {
			let path = (cfg.web.rootUrl+'/auth');

			if(cfg.web.doubleSlashCheck) path = path.replace(/\/+/g, "/");

			res.redirect(path);
		} else {
			res.redirect('/auth'+req.path);
		}
	} else {
		// initialize User
		if(req.session.user.initializeUser) {
			// do it
			req.session.user.initializeUser = false;
		}
		next();
	}
});

route.get('/', (req, res) => {
	res.status(202).end('test');
});

module.exports = route;
